Escalate a dispute
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({actor: '<string>', notes: '<string>'})
};
fetch('https://sandbox.api.enfinitos.com/v1/disputes/{disputeId}/escalate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sandbox.api.enfinitos.com/v1/disputes/{disputeId}/escalate"
payload = {
"actor": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.enfinitos.com/v1/disputes/{disputeId}/escalate"
payload := strings.NewReader("{\n \"actor\": \"<string>\",\n \"notes\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.api.enfinitos.com/v1/disputes/{disputeId}/escalate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"actor\": \"<string>\",\n \"notes\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.enfinitos.com/v1/disputes/{disputeId}/escalate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"actor\": \"<string>\",\n \"notes\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyfalsecurl --request POST \
--url https://sandbox.api.enfinitos.com/v1/disputes/{disputeId}/escalate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actor": "<string>",
"notes": "<string>"
}
'{
"ok": true,
"data": {
"dispute": {
"id": "<string>",
"orgId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"openedBy": "<string>",
"openedAt": "2023-11-07T05:31:56Z",
"disputedPeriod": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
},
"affectedSurface": {
"campaignId": "<string>",
"screenIds": [
"<string>"
],
"substrateId": "<string>"
},
"claimedShortfall": {
"unit": "<string>",
"amount": "<string>"
},
"evidenceBundle": {
"proofPackIds": [
"<string>"
],
"meteringSnapshotIds": [
"<string>"
],
"settlementApplicationIds": [
"<string>"
],
"attachmentRefs": [
"<string>"
],
"auditorReportRef": "<string>"
},
"operatorResponse": {
"at": "2023-11-07T05:31:56Z",
"by": "<string>",
"notes": "<string>",
"proposedRemedy": {
"amount": "<string>",
"makegoodWindow": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
}
},
"advertiserResponse": {
"at": "2023-11-07T05:31:56Z",
"by": "<string>",
"notes": "<string>"
},
"resolution": {
"creditNoteId": "<string>",
"makegoodCampaignId": "<string>",
"settlementAdjustmentId": "<string>",
"resolvedAt": "2023-11-07T05:31:56Z",
"resolvedBy": "<string>",
"notes": "<string>"
},
"timeline": [
{
"at": "2023-11-07T05:31:56Z",
"actor": "<string>",
"notes": "<string>"
}
]
}
},
"contractVersion": "<string>"
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}Disputes
Escalate a dispute
Escalate a dispute to mediation — either party can escalate from any non-terminal state. ESCALATED is not terminal: it can later resolve, withdraw, or fall back to negotiation (→ OPERATOR_RESPONDED via the transition route). Requires scope settlement:write.
POST
/
v1
/
disputes
/
{disputeId}
/
escalate
Escalate a dispute
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({actor: '<string>', notes: '<string>'})
};
fetch('https://sandbox.api.enfinitos.com/v1/disputes/{disputeId}/escalate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sandbox.api.enfinitos.com/v1/disputes/{disputeId}/escalate"
payload = {
"actor": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.enfinitos.com/v1/disputes/{disputeId}/escalate"
payload := strings.NewReader("{\n \"actor\": \"<string>\",\n \"notes\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.api.enfinitos.com/v1/disputes/{disputeId}/escalate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"actor\": \"<string>\",\n \"notes\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.enfinitos.com/v1/disputes/{disputeId}/escalate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"actor\": \"<string>\",\n \"notes\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyfalsecurl --request POST \
--url https://sandbox.api.enfinitos.com/v1/disputes/{disputeId}/escalate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actor": "<string>",
"notes": "<string>"
}
'{
"ok": true,
"data": {
"dispute": {
"id": "<string>",
"orgId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"openedBy": "<string>",
"openedAt": "2023-11-07T05:31:56Z",
"disputedPeriod": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
},
"affectedSurface": {
"campaignId": "<string>",
"screenIds": [
"<string>"
],
"substrateId": "<string>"
},
"claimedShortfall": {
"unit": "<string>",
"amount": "<string>"
},
"evidenceBundle": {
"proofPackIds": [
"<string>"
],
"meteringSnapshotIds": [
"<string>"
],
"settlementApplicationIds": [
"<string>"
],
"attachmentRefs": [
"<string>"
],
"auditorReportRef": "<string>"
},
"operatorResponse": {
"at": "2023-11-07T05:31:56Z",
"by": "<string>",
"notes": "<string>",
"proposedRemedy": {
"amount": "<string>",
"makegoodWindow": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
}
},
"advertiserResponse": {
"at": "2023-11-07T05:31:56Z",
"by": "<string>",
"notes": "<string>"
},
"resolution": {
"creditNoteId": "<string>",
"makegoodCampaignId": "<string>",
"settlementAdjustmentId": "<string>",
"resolvedAt": "2023-11-07T05:31:56Z",
"resolvedBy": "<string>",
"notes": "<string>"
},
"timeline": [
{
"at": "2023-11-07T05:31:56Z",
"actor": "<string>",
"notes": "<string>"
}
]
}
},
"contractVersion": "<string>"
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}Authorizations
API key sent as Authorization: Bearer <api-key>.
Path Parameters
Delivery dispute id (prefixed dispute:).
⌘I